This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 430612 - system-config-display traceback when parsing xorg.conf file
system-config-display traceback when parsing xorg.conf file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 20:49 EST by petrosyan
Modified: 2008-03-14 10:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: system-config-display-1.0.51-7.fc9.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 10:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
here is the xorg.conf files which causes the traceback (788 bytes, text/plain)
2008-01-28 20:50 EST, petrosyan
no flags Details

  None (edit)
Description petrosyan 2008-01-28 20:49:38 EST
Description of problem:
system-config-display traceback when parsing xorg.conf file with the following
tracebeck:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 381, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig,
rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 533, in __init__
    self.state.recalc_mode()
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 387, in
recalc_mode
    self.colordepth = availableDepth[-1]
IndexError: list index out of range

Version-Release number of selected component (if applicable):
system-config-display-1.0.51-5.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
run system-config-display
Comment 1 petrosyan 2008-01-28 20:50:35 EST
Created attachment 293229 [details]
here is the xorg.conf files which causes the traceback
Comment 2 petrosyan 2008-03-14 10:05:31 EDT
I can not reproduce this bug in system-config-display-1.0.51-7.fc9.noarch anymore.

Note You need to log in before you can comment on or make changes to this bug.